# 카드사코드 전체조회 API

{% hint style="warning" %}
**Deprecated**

이 문서는 더 이상 관리되지 않습니다.

[PortOne 개발자센터](https://developers.portone.io/)를 이용해주세요.
{% endhint %}

### 카드사표준코드, 카드사명을 모두 조회할 수 있습니다(금융결제원표준코드 기준)

## 카드사코드 조회

<mark style="color:blue;">`GET`</mark> `https://api.iamport.kr/cards`

금융결제원표준코드 기준 카드코드와 카드사명을 모두 조회 가능합니다.

{% tabs %}
{% tab title="200: OK 성공" %}
{% tabs %}
{% tab title="StandardCodeListResponse" %}
**`code`** <mark style="color:red;">**\***</mark> <mark style="color:purple;">**integer**</mark>

**응답코드**

0이면 정상적인 조회, 0 이 아닌 값이면 message를 확인해봐야 합니다

**`message`** <mark style="color:red;">**\***</mark> <mark style="color:green;">**string**</mark>

**응답메세지**

code 값이 0이 아닐 때, '존재하지 않는 결제정보입니다'와 같은 오류 메세지를 포함합니다

**`response`** <mark style="color:red;">**`(Array[StandardCodeAnnotation], optional)`**</mark><mark style="color:red;">\*\* \*\*</mark>
{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="StandardCodeAnnotation" %}
**`code`** <mark style="color:red;">**\***</mark> <mark style="color:green;">**`string`**</mark>

**`기관코드(금융결제원표준코드)`**

**`name`** <mark style="color:red;">**\***</mark> <mark style="color:green;">**`string`**</mark>

**`기관명(금융결제원기재명)`**
{% endtab %}
{% endtabs %}
{% endtab %}

{% tab title="401: Unauthorized 인증 Token이 전달되지 않았거나 유효하지 않은 경우" %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="404: Not Found 코드에 해당되는 카드사정보를 찾을 수 없음" %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

<details>

<summary>Response Model Schema</summary>

```
{
  "code": 0,
  "message": "string",
  "response": [
    {
      "code": "string",
      "name": "string"
    }
  ]
}
```

</details>

{% hint style="success" %}
**Swagger Test Link**

[**https://api.iamport.kr/#!/codes/allCardCodes**](https://api.iamport.kr/#!/codes/allCardCodes)
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://portone.gitbook.io/docs/api/api-10/undefined-2/api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
